Name:             stax2-api
Version:          3.1.4
Release:          %mkrel 4
Group:            Development/Java
Summary:          Experimental API extending basic StAX implementation
License:          BSD
URL:              http://wiki.fasterxml.com/WoodstoxStax2
Source0:          https://github.com/FasterXML/%{name}/archive/%{name}-%{version}.tar.gz

BuildArch:        noarch

BuildRequires:  maven-local
BuildRequires:  mvn(javax.xml.stream:stax-api)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)

%description
StAX2 is an experimental API that is intended to extend
basic StAX specifications in a way that allows implementations
to experiment with features before they end up in the actual
StAX specification (if they do). As such, it is intended
to be freely implementable by all StAX implementations same way
as StAX, but without going through a formal JCP process.

%package javadoc
Summary:          API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

%pom_xpath_remove pom:Import-Package

# javadoc generation fails due to strict doclint in JDK 8
%pom_remove_plugin :maven-javadoc-plugin

%build

%mvn_file :%{name} %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc



%changelog
* Wed Feb 24 2016 neoclust <neoclust> 3.1.4-4.mga6
+ Revision: 978153
- First rebuild of the java stack
- sync package stax2-api with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1.1-6.mga5
+ Revision: 749323
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 08 2014 dmorgan <dmorgan> 3.1.1-4.mga5
+ Revision: 634660
- Build with xmvn

* Fri Oct 18 2013 umeabot <umeabot> 3.1.1-3.mga4
+ Revision: 519206
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.1.1-2.mga3
+ Revision: 383407
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 25 2011 dmorgan <dmorgan> 3.1.1-1.mga2
+ Revision: 187600
- imported package stax2-api


* Thu Sep 29 2011 Jaromir Capik <jcapik@redhat.com> - 3.1.1-2
- bea-stax has it's own depmap now -> removing the local one

* Tue Sep 13 2011 Jaromir Capik <jcapik@redhat.com> - 3.1.1-1
- Initial version
